#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 33. GNOME Libraries and Desktop

- Prev

  gweather-locations-2026.2

- Next

  libpeas-1.38.1

- Up
- Home

# libgweather-4.6.0

## Introduction to libgweather

The libgweather package is a library used to access weather information from online services for numerous locations.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/libgweather/4.6/libgweather-4.6.0.tar.xz

- Download MD5 sum: c52f40f2e6d6708763f15eb17ce45b97

- Download size: 340 KB

- Estimated disk space required: 13 MB (with tests)

- Estimated build time: 0.1 SBU (with tests)

### libgweather Dependencies

#### Required

geocode-glib-3.26.4, gweather-locations-2026.2, libsoup-3.6.6, and PyGObject-3.56.2

#### Recommended

GLib-2.88.0 (with GObject Introspection), libxml2-2.15.3, and Vala-0.56.19

#### Optional

Gi-DocGen-2026.1 (gi-docgen is also provided as a meson subproject, which will be used if `-D gtk_doc=false` is not passed to meson), LLVM-22.1.0 (for clang-format), and pylint

### Note

An Internet connection is needed for some tests of this package. The system certificate store may need to be set up with make-ca-1.16.1 before testing this package.

## Installation of libgweather

Install libgweather by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr       \
                --buildtype=release \
                -D gtk_doc=false    \
                ..                  &&
    ninja

If you have Gi-DocGen-2026.1 installed and wish to build the API documentation for this package, issue:

    sed "s/libgweather_full_version/'libgweather-4.6.0'/" \
        -i ../doc/meson.build                             &&
    meson configure -D gtk_doc=true                       &&
    ninja

One test needs that the locale files be installed on the system, so it is better to run the tests after installing the package.

Now, as the `root` user:

    ninja install

To test the results, issue: LC_ALL=C ninja test. One test, `metar`, is known to fail due to some airport weather information being temporarily unavailable.

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D gtk_doc=false`: Allow building this package without Gi-DocGen-2026.1 installed. If you have Gi-DocGen-2026.1 installed and you wish to rebuild and install the API documentation, a meson configure command will reset this option.

## Contents

Installed Programs: None
Installed Libraries: libgweather-4.so
Installed Directories: /usr/lib/libgweather-4, /usr/include/libgweather-4.0, /usr/share/gtk-doc/html/libgweather-4.0 (optional), and /usr/share/libgweather-4

### Short Descriptions

`libgweather-4.so` | contains functions that allow for the retrieval of weather information

- Prev

  gweather-locations-2026.2

- Next

  libpeas-1.38.1

- Up
- Home